zenilib: PS_PrivateRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PS_PrivateRec_ Struct Reference

`#include <t1tables.h>`

## Public Attributes

FT_Int | blue_fuzz
FT_Fixed | blue_scale
FT_Int | blue_shift
FT_Short | blue_values [14]
FT_Fixed | expansion_factor
FT_Short | family_blues [14]
FT_Short | family_other_blues [10]
FT_Bool | force_bold
FT_Long | language_group
FT_Int | lenIV
FT_Short | min_feature [2]
FT_Byte | num_blue_values
FT_Byte | num_family_blues
FT_Byte | num_family_other_blues
FT_Byte | num_other_blues
FT_Byte | num_snap_heights
FT_Byte | num_snap_widths
FT_Short | other_blues [10]
FT_Long | password
FT_Bool | round_stem_up
FT_Short | snap_heights [13]
FT_Short | snap_widths [13]
FT_UShort | standard_height [1]
FT_UShort | standard_width [1]
FT_Int | unique_id

## Detailed Description

Definition at line 118 of file t1tables.h.

## Member Data Documentation

FT_Int PS_PrivateRec_::blue_fuzz

Definition at line 136 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Fixed PS_PrivateRec_::blue_scale

Definition at line 134 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Int PS_PrivateRec_::blue_shift

Definition at line 135 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Short PS_PrivateRec_::blue_values[14]

Definition at line 128 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Fixed PS_PrivateRec_::expansion_factor

Definition at line 149 of file t1tables.h.

Referenced by parse_expansion_factor(), and T1_Open_Face().

FT_Short PS_PrivateRec_::family_blues[14]

Definition at line 131 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Short PS_PrivateRec_::family_other_blues[10]

Definition at line 132 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Bool PS_PrivateRec_::force_bold

Definition at line 143 of file t1tables.h.

Referenced by cff_make_private_dict(), and t1_ps_get_font_value().

FT_Long PS_PrivateRec_::language_group

Definition at line 151 of file t1tables.h.

Referenced by cff_make_private_dict(), and t1_ps_get_font_value().

FT_Int PS_PrivateRec_::lenIV

Definition at line 121 of file t1tables.h.

Referenced by cff_make_private_dict(), cid_load_glyph(), cid_read_subrs(), parse_charstrings(), parse_fd_array(), parse_subrs(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Short PS_PrivateRec_::min_feature[2]

Definition at line 154 of file t1tables.h.

Referenced by t1_ps_get_font_value().

FT_Byte PS_PrivateRec_::num_blue_values

Definition at line 123 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Byte PS_PrivateRec_::num_family_blues

Definition at line 125 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Byte PS_PrivateRec_::num_family_other_blues

Definition at line 126 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Byte PS_PrivateRec_::num_other_blues

Definition at line 124 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Byte PS_PrivateRec_::num_snap_heights

Definition at line 142 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Byte PS_PrivateRec_::num_snap_widths

Definition at line 141 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Short PS_PrivateRec_::other_blues[10]

Definition at line 129 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Long PS_PrivateRec_::password

Definition at line 152 of file t1tables.h.

Referenced by t1_ps_get_font_value().

FT_Bool PS_PrivateRec_::round_stem_up

Definition at line 144 of file t1tables.h.

Referenced by t1_ps_get_font_value().

FT_Short PS_PrivateRec_::snap_heights[13]

Definition at line 147 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Short PS_PrivateRec_::snap_widths[13]

Definition at line 146 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_UShort PS_PrivateRec_::standard_height[1]

Definition at line 139 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_UShort PS_PrivateRec_::standard_width[1]

Definition at line 138 of file t1tables.h.

Referenced by cff_make_private_dict(), psh_globals_new(), and t1_ps_get_font_value().

FT_Int PS_PrivateRec_::unique_id

Definition at line 120 of file t1tables.h.

Referenced by t1_ps_get_font_value().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/t1tables.h